Subject: Re: bug#34341: 26.1; url-retrieve-synchronously returns blank buffer

From: Eli Zaretskii <[email-masked]>
Date: Sun, 12 May 2019 17:02:56 +0300

> From: Robert Pluim <[email-masked]>
> Date: Sun, 12 May 2019 15:01:03 +0200
> Cc: [email-masked], [email-masked]
> 
> >>>>> On Mon, 06 May 2019 20:16:52 -0400, Noam Postavsky <[email-masked]> said:
>     Noam> I found this smaller change fixes it also.  Is it simple
>     Noam> enough to for emacs-26?  Otherwise, we should set
>     Noam> gnutls-algorithm-priority because (as far as I understand)
>     Noam> we have a broken TLS1.3 implementation at the momement.
> 
>     Robert> If we do decide to disable TLS1.3, which Iʼm not really in
>     Robert> favour of, changing the defaults in
>     Robert> lisp/net/gnutls.el:gnutls-boot-parameters might be better
>     Robert> than setting gnutls-algorithm-priority. Iʼd prefer your
>     Robert> gnutls.c patch, although I haven't had a chance to test it
>     Robert> yet.
> 
> That patch to src/gnutls.c fixes my testcase, which is imap over
> TLS1.3 to gmail. Itʼs pretty simple, I think it could go to
> emacs-26. Eli?

Didn't I already answer that?  If not, I guess you are now talking
about some patch which I didn't see, so please show it.

Thanks.